#include "client/Client.h"
#include "client/render/Display.h"
#include "client/render/MainRenderer.h"

int main(int argc, char** argv) {

	blitz::Client client;
	blitz::Display display(1920, 1080, "BlitzKrieg", &client);

	if (!display.Create())
		return EXIT_FAILURE;

	blitz::render::MainRenderer renderer(&client);

	while (!display.IsCloseRequested()) {
		client.Update();
		display.PollEvents();
		renderer.Update();
		renderer.Render();
		display.Render();
		display.Update();
	}

	display.Destroy();

	return 0;
}
